Bug 1421484 - [abrt] PackageKit: g_slist_foreach(): packagekitd killed by SIGABRT
Summary: [abrt] PackageKit: g_slist_foreach(): packagekitd killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:72ec3dc2db705bd3f53c4f1bc7b...
: 1485660 1485661 1499351 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-12 16:38 UTC by Han Han
Modified: 2018-06-02 15:14 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:39:04 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (28.82 KB, text/plain)
2017-02-12 16:38 UTC, Han Han
no flags Details
File: cgroup (148 bytes, text/plain)
2017-02-12 16:38 UTC, Han Han
no flags Details
File: core_backtrace (8.64 KB, text/plain)
2017-02-12 16:38 UTC, Han Han
no flags Details
File: dso_list (8.47 KB, text/plain)
2017-02-12 16:38 UTC, Han Han
no flags Details
File: environ (200 bytes, text/plain)
2017-02-12 16:38 UTC, Han Han
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-12 16:38 UTC, Han Han
no flags Details
File: maps (39.76 KB, text/plain)
2017-02-12 16:38 UTC, Han Han
no flags Details
File: mountinfo (3.62 KB, text/plain)
2017-02-12 16:39 UTC, Han Han
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-12 16:39 UTC, Han Han
no flags Details
File: open_fds (1.96 KB, text/plain)
2017-02-12 16:39 UTC, Han Han
no flags Details
File: proc_pid_status (1.24 KB, text/plain)
2017-02-12 16:39 UTC, Han Han
no flags Details
File: var_log_messages (157 bytes, text/plain)
2017-02-12 16:39 UTC, Han Han
no flags Details

Description Han Han 2017-02-12 16:38:23 UTC
Description of problem:


Version-Release number of selected component:
PackageKit-1.1.5-1.fc26

Additional info:
reporter:       libreport-2.9.0
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: g_slist_foreach
executable:     /usr/libexec/packagekitd
global_pid:     1566
kernel:         4.10.0-0.rc7.git0.1.fc26.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Potential duplicate: bug 1391813

Comment 1 Han Han 2017-02-12 16:38:30 UTC
Created attachment 1249591 [details]
File: backtrace

Comment 2 Han Han 2017-02-12 16:38:33 UTC
Created attachment 1249592 [details]
File: cgroup

Comment 3 Han Han 2017-02-12 16:38:36 UTC
Created attachment 1249593 [details]
File: core_backtrace

Comment 4 Han Han 2017-02-12 16:38:40 UTC
Created attachment 1249594 [details]
File: dso_list

Comment 5 Han Han 2017-02-12 16:38:43 UTC
Created attachment 1249595 [details]
File: environ

Comment 6 Han Han 2017-02-12 16:38:54 UTC
Created attachment 1249596 [details]
File: limits

Comment 7 Han Han 2017-02-12 16:38:59 UTC
Created attachment 1249597 [details]
File: maps

Comment 8 Han Han 2017-02-12 16:39:01 UTC
Created attachment 1249598 [details]
File: mountinfo

Comment 9 Han Han 2017-02-12 16:39:10 UTC
Created attachment 1249599 [details]
File: namespaces

Comment 10 Han Han 2017-02-12 16:39:21 UTC
Created attachment 1249600 [details]
File: open_fds

Comment 11 Han Han 2017-02-12 16:39:26 UTC
Created attachment 1249601 [details]
File: proc_pid_status

Comment 12 Han Han 2017-02-12 16:39:32 UTC
Created attachment 1249602 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-02-28 11:15:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 14 r_mun 2017-08-26 20:01:14 UTC
*** Bug 1485660 has been marked as a duplicate of this bug. ***

Comment 15 Ryan Gillette 2017-08-26 20:21:07 UTC
*** Bug 1485661 has been marked as a duplicate of this bug. ***

Comment 16 tinkert 2017-10-06 19:33:18 UTC
*** Bug 1499351 has been marked as a duplicate of this bug. ***

Comment 17 Fedora End Of Life 2018-05-03 08:02:49 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 18 Fedora End Of Life 2018-05-29 12:39:04 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.